Documentation error "man sudo_root"

Bug #1130643 reported by Warren Hill on 2013-02-20
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
sudo (Ubuntu)
Medium
Unassigned

Bug Description

Since Ubuntu 12.04 to add admin privileges to a user the recommended way has been to add them to the sudo group. As described here https://help.ubuntu.com/community/RootSudo

However man page documentation: man sudo root

still says
----------------------------------------------------------------------------
ALLOWING OTHER USERS TO RUN SUDO
       By default, only the user who installed the system is permitted to run
       sudo. To add more administrators, i. e. users who can run sudo, you
       have to add these users to the group 'admin' by doing one of the fol‐
       lowing steps:

       * In a shell, do

           sudo adduser username admin

       * Use the graphical "Users & Groups" program in the "System settings"
         menu to add the new user to the admin group.
----------------------------------------------------------------------------
I've checked documentation for 12.04, 12.10 and the as yet to be released 13.04 all say the same.

Should this not be changed to

            sudo adduser username sudo

To match the fact that the first user on a system is now added to "sudo" and not "admin".

Also for Ubuntu at least with the default Unity desktop there does not appear to be a "System settings" menu.

I suspect there are similar problems later in this file too.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: sudo 1.8.3p1-1ubuntu3.3
ProcVersionSignature: Ubuntu 3.2.0-38.60-generic 3.2.37
Uname: Linux 3.2.0-38-generic i686
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: i386
Date: Wed Feb 20 12:23:06 2013
InstallationMedia: Lubuntu 12.04 "Precise Pangolin" - Release i386 (20120423)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: sudo
UpgradeStatus: No upgrade log present (probably fresh install)
VisudoCheck: /etc/sudoers: parsed OK

Related branches

Warren Hill (warren-hill) wrote :
description: updated
tags: added: manpage
tags: added: quantal
tags: added: raring
description: updated
Blair Chasteen (darkstormyrain) wrote :

To let other users use 'sudo' open up a terminal and use 'visudo' (sudo visudo)
This will allow you to add other users and groups to use the sudo command

or adding them to the admin group (see /etc/sudoers) will by default allow root privlages.

Changed in sudo (Ubuntu):
status: New → Invalid
Warren Hill (warren-hill) wrote :

The bug is not that the sudo command does not work. It does.

The bug is that the man page for it is incorrect. Specifically "man sudo_root" which is supplied by the sudo package.

It advises as a means to disable sudo and return to a traditional root logon modifying /etc/sudoers via to remove the admin group.

This is not a recomended thing to do and perhaps the man page should not provide a way to do this at all but given that it does it should be correct.

If you follow the instructions in 12.04 or later these instructions do not work as administator users are not added to the "admin" group but the "sudo" group.

man pages are still relevant and wrong information in them needs to be corrected.

see here: http://askubuntu.com/questions/258632/does-following-man-sudo-root-permenantly-blocks-your-sudo/258952#258952

Changed in sudo (Ubuntu):
status: Invalid → Incomplete
Manfred Hampl (m-hampl) wrote :

The manpage sudo_root.8 seems completely outdated to me.
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/raring/sudo/raring/files/head:/debian/ shows that even in the raring development source its last update was made with Rev 14, dated 2006-08-23 18:05:48 UTC.
Different from the other sudo-related manpages whose source is in the doc directory and which are rebuilt from *.man.in sources (with last modification in Nov. 2012), the sudo_root manpage is a fixed text in the debian directory, and as far as I can see, only existing in Ubuntu, and not in Debian.

Also in my opinion this is a bug, clicking 'also affects me'.

andy@fileserver:/etc$ cat ./group | egrep 'sudo|admin'
sudo:x:27:andy
lpadmin:x:107:andy
andy@fileserver:/etc$ groups
andy adm cdrom sudo dip plugdev lpadmin sambashare apt-get
andy@fileserver:/etc$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.2 LTS
Release: 12.04
Codename: precise
This is my output ounder Precise. Man page says:
ALLOWING OTHER USERS TO RUN SUDO
       By default, only the user who installed the system is permitted to run
       sudo. To add more administrators, i. e. users who can run sudo, you
       have to add these users to the group 'admin' by doing one of the folâ
       lowing steps:
       * In a shell, do
           sudo adduser username admin
       * Use the graphical "Users & Groups" program in the "System settings"
         menu to add the new user to the admin group.
But there is no admin group, the only group name with admin in it is lpadmin

Changed in sudo (Ubuntu):
status: Incomplete → New
Warren Hill (warren-hill) wrote :

Bug was incorrectly flagged as "invalid". As there are now 3 users (including myself) stating that this is a bug and does not appear to be a duplicate needs to be marked confirmed.

C de-Avillez (hggdh2) wrote :

Marking triaged/medium. The 'sudo_root' man page needs some updates. It would be nice to have a re-wording of the file. Patches welcome.

Changed in sudo (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Martin Pitt (pitti) on 2014-08-28
Changed in sudo (Ubuntu):
status: Triaged → Fix Committed
summary: - Documentation error "man sudo root"
+ Documentation error "man sudo_root"
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sudo - 1.8.9p5-1ubuntu2

---------------
sudo (1.8.9p5-1ubuntu2) utopic; urgency=medium

  * debian/sudo_root.8: mention sudo group instead of deprecated group
    admin (LP: #1130643)
 -- Andrey Bondarenko <email address hidden> Sat, 23 Aug 2014 01:18:05 +0600

Changed in sudo (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions